%define major 0
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d


Name:         gambas
License:      GPL
Group:        Development/Other
Summary:      Gambas is a free VB-like language.
Version:      0.99
Release:      1mdk
URL:          http://gambas.sf.net/
Source0:      %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildRequires: XFree86-devel qt3-devel kdelibs-devel mysql-devel postgresql-devel 
Buildrequires: libfam-devel libart_lgpl-devel libvorbis-devel libSDL-devel libsmpeg-devel
Requires:	%libname %libname-devel %name-doc

%define appdir %_libdir/%{name}-%{version}

%description -n gambas
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm).  With Gambas, you can
quickly design your program GUI, access MySQL or PostgreSQL databases,
pilot KDE applications with DCOP, translate your program into many
languages, and so on...

This package only provides the command-line utilities.
You will need gambas-lib for the required components and
gambas-gui for the actual VB-like environment.

%package doc
Summary: Documentation for Gambas language.
Group:        Development/Other
Requires: gambas %libname

%description -n gambas-doc
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm).  With Gambas, you can
quickly design your program GUI, access MySQL or PostgreSQL databases,
pilot KDE applications with DCOP, translate your program into many
languages, and so on...

%package -n %libname
Summary: Gambas language components and libraries.
Group:        Development/Other
Requires: gambas

%description -n %libname
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm).  With Gambas, you can
quickly design your program GUI, access MySQL or PostgreSQL databases,
pilot KDE applications with DCOP, translate your program into many
languages, and so on...

This package only provides the Gambas components.
You will need the gambas package for the compiler/interpreter
and gambas-gui for the actual VB-like environment.

%package -n %libnamedev 
Summary: Header file for Gambas component development.
Group:        Development/Other
Requires: gambas 
Provides: libgambas-devel
Requires: %libname = %version

%description -n %libnamedev
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm).  With Gambas, you can
quickly design your program GUI, access MySQL or PostgreSQL databases,
pilot KDE applications with DCOP, translate your program into many
languages, and so on...

This package includes the header file necessary for writing
your own Gambas components, as well as the source for the 
Gambas GUI components necessary for building the gambas-gui
package.

%prep
%setup 

%build

%configure
%make

%install
# workaround for broken libtool
export SED=sed
export PATH=${RPM_BUILD_ROOT}/usr/bin:$PWD/src/comp:$PATH
#make DESTDIR=${RPM_BUILD_ROOT} install
install -d ${RPM_BUILD_ROOT}/usr/bin/
install -d ${RPM_BUILD_ROOT}/usr/share/doc/%{name}-%{version}
install -d ${RPM_BUILD_ROOT}/usr/include/
install -d ${RPM_BUILD_ROOT}/usr/include/%{name}
install -d ${RPM_BUILD_ROOT}%appdir/
install -d ${RPM_BUILD_ROOT}%appdir/lib/
install -s -m 0755 src/exec/gbx ${RPM_BUILD_ROOT}/usr/bin/
install -s -m 0755 src/comp/gba ${RPM_BUILD_ROOT}/usr/bin/
install -s -m 0755 src/comp/gbi ${RPM_BUILD_ROOT}/usr/bin/
install -s -m 0755 src/comp/gbc ${RPM_BUILD_ROOT}/usr/bin/
find src -name *.la -exec cp {} ${RPM_BUILD_ROOT}%appdir/lib \;
find src -name *.so* -exec cp -a {} ${RPM_BUILD_ROOT}%appdir/lib \;
cp -a src/share/gambas.h ${RPM_BUILD_ROOT}/usr/include/%{name}
#cp -av examples ${RPM_BUILD_ROOT}/usr/share/doc/%{name}-%{version}
#cp -av help ${RPM_BUILD_ROOT}/usr/share/doc/%{name}-%{version}
find ${RPM_BUILD_ROOT} -size 0 -exec rm -f {} \;
tar cjvf ${RPM_BUILD_ROOT}%appdir/gambas-gui-%{version}.tar.bz2 app/ `find src/ -name *.component`

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%appdir/lib/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%appdir/lib/*.so
%appdir/lib/*.la
/usr/include/%{name}
%appdir/gambas-gui-%{version}.tar.bz2

%files -n gambas-doc
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README examples/ help/

%files -n gambas
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
/usr/bin/*

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%post -n gambas-doc
mkdir -p %{appdir}/share
ln -s /usr/share/doc/%{name}-doc-%{version}/examples %{appdir}/share/examples
ln -s /usr/share/doc/%{name}-doc-%{version}/help %{appdir}/share/help

%postun -n gambas-doc
rm -f %{appdir}/share/examples
rm -f %{appdir}/share/help
rmdir %{appdir}/share

%post -n gambas
mkdir -p %appdir/bin/
mv -f /usr/bin/gbx %appdir/bin/gbx-real
ln -s %appdir/bin/gbx-real /usr/bin/gbx


%changelog 
* Mon Sep 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.99-1mdk
- 0.99

* Wed Aug 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.98-1mdk
- 0.98

* Thu Apr 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.92a-2mdk
- fix buildrequires

* Thu Apr 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.92a-1mdk
- from Rob Kudla <rpm@kudla.org> :
	- version 0.92a

* Sat Apr  3 2004 Rob Kudla <rpm@kudla.org> 0.92-1mdk
- version 0.92

* Sun Mar 14 2004 Rob Kudla <rpm@kudla.org> 0.91-1mdk
- version 0.91

* Thu Feb 26 2004 Rob Kudla <rpm@kudla.org> 0.90-1mdk
- version 0.90

* Thu Feb 12 2004 Rob Kudla <rpm@kudla.org> 0.84a-1mdk
- version 0.84a

* Sat Jan 24 2004 Rob Kudla <rpm@kudla.org> 0.82-1mdk
- new version

* Tue Jan 20 2004 Rob Kudla <rpm@kudla.org> 0.81-2mdk
- fix examples symlink

* Sat Jan 17 2004 Rob Kudla <rpm@kudla.org> 0.81-1mdk
- new version
- fix help symlink

* Tue Jan 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.80-3mdk
- same player shoot again

* Tue Jan 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.80-2mdk
- fix requires, use explicit lib dependencies.

* Mon Jan 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.80-1mdk
- from Rob <mandrake-cooker@kudla.org> :
	- new version

* Sun Dec 21 2003 - rpm@kudla.org
- new version

* Mon Dec 08 2003 - rpm@kudla.org
- new version

* Fri Nov 21 2003 - rpm@kudla.org
- new version
- attempt at further mandrakifying packages

* Sat Oct 25 2003 - rpm@kudla.org
- new version
- Attempt at mandrakifying packages

* Sat Aug 30 2003 - rpm@kudla.org
- new version

* Mon Aug 04 2003 - rpm@kudla.org
- new version

* Tue Jul 15 2003 - rpm@kudla.org
- new version

* Sun Jul 06 2003 - rpm@kudla.org
- new version

* Fri Jun 27 2003 - rpm@kudla.org
- new version
- updated docs (now HTML for help browser)

* Mon Jun 23 2003 - rpm@kudla.org
- new version
- updated docs

* Mon May 12 2003 - rpm@kudla.org
- new version

* Mon May 05 2003 - rpm@kudla.org
- new version

* Thu Apr 17 2003 - rpm@kudla.org
- new version
- BuildRequires

* Sun Mar 30 2003 - rpm@kudla.org
- new version

* Tue Mar 18 2003 - rpm@kudla.org
- initial mdk package

